--Resolución de ecuaciones
--Se merecen un SCRIPT aparte

function metodo(x)
	p1=seg[1]:gsub("x",x)
	p2=seg[2]:gsub("x",x)

	operacion="p1="..p1.."\np2="..p2
	resolver=loadstring(operacion)
	if pcall(resolver)==true then
		resolver()
		if p1==p2 then
			resuelta=true
			solucion="Solución: "..x
		end
	else
		resuelta=true
		solucion="Sintax error"
	end
end

function busqueda()

for i=1,2 do
	for car=1,#seg[i]-1 do
		for n=0,9 do
			if seg[i]:sub(car,car+1)==n.."(" then
				seg[i]=seg[i]:sub(1,car).."*"..seg[i]:sub(car+1,#seg[i])

			end
		end
		if seg[i]:sub(car,car+1)=="x(" then
			seg[i]=seg[i]:sub(1,car).."*"..seg[i]:sub(car+1,#seg[i])
		end
		c=nil
		for n=0,9 do
			if seg[i]:sub(car,car+1)==n.."x" then
				seg[i]=seg[i]:sub(1,car).."*"..seg[i]:sub(car+1,#seg[i])
			end
		end
	end

end
	
	resuelta=false
	solucion="No encontrada"
	if seg[1]:find("x")!=nil or seg[2]:find("x")!=nil then
		for x=-250,250,0.25 do
			metodo(x)
			if resuelta then
				os.message(solucion)
				break
			end
		end
	else	
		os.message("Debe de haber al menos una incógnita")
	end
end


